# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [Unreleased]


## Release v1.0.6 - 2024-07-25(14:01:44 +0000)

### Fixes

- Fix compile error for struct sigaction
- tr181-xpon: general protection fault in libc.so while stopping the service

## Release v1.0.5 - 2023-02-03(09:59:21 +0000)

### Other

- - [PRPL][PON] Handle open issues including BBF changes

## Release v1.0.4 - 2022-10-21(14:34:58 +0000)

### Other

- - XPON manager: ModuleVersion of Transceiver is missing

## Release v1.0.3 - 2022-10-07(09:00:17 +0000)

### Fixes

- dm_info.c: fix typos in prpl field names

### Changes

- onu_hal_mock: support dm:object-changed for onu_activation
- southbound_if.c: improve error message

## Release v1.0.2 - 2022-08-25(14:41:22 +0000)

### Other

- Opensource component
- [CI] Correct dependencies

## Release v1.0.1 - 2022-08-23(14:52:45 +0000)

### New

- ci: add gitlab-ci.yml

## Release v1.0.0 - 2022-08-22(14:34:54 +0000)

### New

- - Create PON manager

### Other

- - Create PON manager

